from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class FrameAction(IntEnum):
    COMPONENT_ATTACHED = auto()
    COMPONENT_DETACHING = auto()
    COMPONENT_REATTACHED = auto()
    FRAME_ACTIVATED = auto()
    FRAME_DEACTIVATING = auto()
    CONTEXT_CHANGED = auto()
    FRAME_UI_ACTIVATED = auto()
    FRAME_UI_DEACTIVATING = auto()
